Issue #6215 has been updated by drbrain (Eric Hodel).


According to the crash report, the crash occurs while textmate is handling the NoMethodError, perhaps while reformatting the backtrace. 
----------------------------------------
Bug #6215: print "#{RUBY_PATCHLEVEL.slice(2,3)}\n" results in crash
https://bugs.ruby-lang.org/issues/6215#change-25314

Author: jordandm (Jordan Dea-Mattson)
Status: Feedback
Priority: Low
Assignee: 
Category: core
Target version: 1.9.3
ruby -v: ruby 1.9.3p125 (2012-02-16 revision 34643) [x86_64-darwin11.3.0] 


While using Ruby 1.9.3 and Textmate, I attempted to run the following code fragment:
 print "#{RUBY_VERSION}\n"
 print "#{RUBY_PLATFORM}\n"
 print "#{RUBY_RELEASE_DATE}\n"
 print "#{RUBY_PATCHLEVEL.slice(2,3)}\n"}

When executing the line print #{RUBY_PATCHLEVEL.slice(2,3), the Ruby interpreter crashed as outlined in the attached files.



-- 
http://bugs.ruby-lang.org/